MatrixSetPrecisionCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetPrecisionCommand:

## Public Member Functions

| MatrixSetPrecisionCommand (Matrix *m, const QChar &oldFormat, const QChar &newFormat, int oldPrec, int newPrec, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

Matrix * | d_matrix
QChar | d_new_format
int | d_new_prec
QChar | d_old_format
int | d_old_prec

## Constructor & Destructor Documentation

MatrixSetPrecisionCommand::MatrixSetPrecisionCommand | ( | Matrix * | m,
|  | const QChar & | oldFormat,
|  | const QChar & | newFormat,
|  | int | oldPrec,
|  | int | newPrec,
|  | const QString & | text
| ) |  |

## Member Function Documentation

void MatrixSetPrecisionCommand::redo | ( |  | ) |

virtual

References d_matrix, d_new_format, d_new_prec, and Matrix::setNumericFormat().

void MatrixSetPrecisionCommand::undo | ( |  | ) |

virtual

References d_matrix, d_old_format, d_old_prec, and Matrix::setNumericFormat().

## Member Data Documentation

Matrix* MatrixSetPrecisionCommand::d_matrix

private

Referenced by redo(), and undo().

QChar MatrixSetPrecisionCommand::d_new_format

private

Referenced by redo().

int MatrixSetPrecisionCommand::d_new_prec

private

Referenced by redo().

QChar MatrixSetPrecisionCommand::d_old_format

private

Referenced by undo().

int MatrixSetPrecisionCommand::d_old_prec

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp